#include <cstdint>
#include <iostream>

using ll = int64_t;

constexpr ll p=1e9+7;
const ll n=[]()->ll{ll n;std::cin>>n;return n;}();

ll qpow(ll b,ll e){
    ll r{1};
    while(e){
        if(e&1)r=r*b%p;
        b=b*b%p;
        e/=2;
    }
    return r;
}

ll inv(ll n){
    return qpow(n, p-2);
}

ll mfact(const ll&b){
    ll r{1};
    for(ll i{1};i<=b;i++){
        r=r*i%p;
    }
    return r;
}

ll C(const ll &n,const ll &m){
    return mfact(n)*inv(mfact(m))%p*inv(mfact(n-m))%p;
}

int main(){
    const ll ans = C(2*n,n)-C(2*n,n-1);
    std::cout<<(ans%p+p)%p<<'\n';
}